Bug 1307310 - airtsp: FTBFS in rawhide
airtsp: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: airtsp (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denis Arnaud
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:00 EST by Fedora Release Engineering
Modified: 2017-01-21 14:21 EST (History)
2 users (show)

See Also:
Fixed In Version: airtsp-1.01.3-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-21 14:21:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (114.49 KB, text/plain)
2016-02-13 16:00 EST, Fedora Release Engineering
no flags Details
root.log (158.82 KB, text/plain)
2016-02-13 16:00 EST, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2016-02-13 16:00 EST, Fedora Release Engineering
no flags Details
Fix FTBFS with GCC 6 (#1307310) (2.37 KB, patch)
2016-03-16 00:08 EDT, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:00:08 EST
Your package airtsp failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12805728

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:00:10 EST
Created attachment 1124000 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:00:12 EST
Created attachment 1124001 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:00:13 EST
Created attachment 1124002 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-23 14:04:15 EST
/builddir/build/BUILD/airtsp-1.01.2/airtsp/command/TravelSolutionParser.cpp:73:41: error: cannot convert 'std::basic_istream<char>' to 'bool' in assignment
         hasRead = (iStringStr >> dvalStr);
                                         ^
/builddir/build/BUILD/airtsp-1.01.2/airtsp/command/TravelSolutionParser.cpp:77:38: error: cannot convert 'std::basic_istream<char>::__istream_type {aka std::basic_istream<char>}' to 'bool' in assignment
         hasRead = (iStringStr >> dval);
                                      ^

See "Cannot convert 'std::ostream' to 'bool'" in https://gcc.gnu.org/gcc-6/porting_to.html
Comment 5 Denis Arnaud 2016-02-24 03:16:33 EST
Thanks Yaakov!
I'll have a look soon, hopefully next weekend.
Comment 6 Jan Kurik 2016-02-24 09:33:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 Yaakov Selkowitz 2016-03-16 00:08 EDT
Created attachment 1136836 [details]
Fix FTBFS with GCC 6 (#1307310)
Comment 8 Igor Gnatenko 2017-01-13 01:52:22 EST
ping?
Comment 9 Denis Arnaud 2017-01-13 07:41:58 EST
(In reply to Igor Gnatenko from comment #8)
> ping?

Oops, will have a look very soon. Thanks for the follow up!
Comment 10 Denis Arnaud 2017-01-13 13:33:05 EST
As a matter of fact, the source code was fixed upstream, but no new (upstream) release had been made. Sorry for that. It has now been fixed (ie, the Fedora package integrates the new upstream release, which fixes the compilation issue):
https://koji.fedoraproject.org/koji/taskinfo?taskID=17270344
Comment 11 Upstream Release Monitoring 2017-01-13 13:40:07 EST
denisarnaud's airtsp-1.01.3-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=833749
Comment 12 Denis Arnaud 2017-01-13 15:31:44 EST
And successful build for Fedora 25: https://koji.fedoraproject.org/koji/taskinfo?taskID=17270449
Comment 13 Fedora Update System 2017-01-13 15:34:57 EST
airtsp-1.01.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fe52b0d6bb
Comment 14 Fedora Update System 2017-01-14 01:22:26 EST
airtsp-1.01.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fe52b0d6bb
Comment 15 Fedora Update System 2017-01-21 14:21:24 EST
airtsp-1.01.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.